<?php
    /*
    * Module Carnet de Voyage GMapFP for Component Google Map for Joomla! 3.x
    * Version J3.3Pro
    * Creation date: Juin 2018
    * Author: Fabrice4821 - www.gmapfp.org
    * Author email: webmaster@gmapfp.org
    * License GNU/GPL
    */

defined('_JEXEC') or die;

$lang = JFactory::getLanguage();
$lang->load('plg_gmapfp_carnetvoyage', JPATH_ADMINISTRATOR);

$doc = JFactory::getDocument();
$doc->addScript(JURI::base(). '/media/com_gmapfp/js/map.js');
$doc->addScript(JURI::base(). 'plugins/gmapfp/carnetvoyage/carnetvoyage.js');

$print_icon = "";
if ($params->get('print_icon', 0)) {
	$app = JFactory::getApplication(); 
	$config	= clone($app->getParams('com_gmapfp'));
	$printer=JURI::base().'media/com_gmapfp/images/icons/'.$config->get('gmapfp_icon_folder').'/printer.png';

	$print_icon = '<a class="print_gmapfp_carnet" href="javascript:void(0)" onclick="Print_GMapFP_carnetvoyage();"><img style="float:right;" title="'.JText::_('GMAPFP_CARNETVOYAGE_PRINT').'" alt="'.JText::_('GMAPFP_CARNETVOYAGE_PRINT').'" src="'.$printer.'"></a>';
}

if ($params->get('itemid', ''))
	$Itemid = "&Itemid=".(int)$params->get('itemid');
else
	$Itemid = "";
$script = '
<script type="text/javascript">
	var Itemid_carnet_voyage = "'.$Itemid.'";
</script>';
$doc->addCustomTag($script);

JText::script('PLG_GMAPFP_CARNETVOYAGE_PRESTATION');
JText::script('PLG_GMAPFP_CARNETVOYAGE_PRESTATIONS');

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));

$layout = JModuleHelper::getLayoutPath('mod_gmapfp_carnetvoyage', 'default');
require($layout);
