    /*
    * Module Carnet de Voyage GMapFP for Component Google Map for Joomla! 3.x
	* Version J3.4pro
	* Creation date: juin 2019
    * Author: Fabrice4821 - www.gmapfp.org
    * Author email: webmaster@gmapfp.org
    * License GNU/GPL
    */

var panier_gmapfp;

jQuery( document ).ready(function( ) {
	//traite les cookies
	gmapfp_update_panier_button();
	//init des boutons
	jQuery("a.panier_gmapfp, a.icon_panier_gmapfp").click(function() {
		toggle_panier_gmapfp(this);
	});
});

function gmapfp_update_panier_button() {
	panier_gmapfp = gmapfp_readCookie('panier_gmapfp') ? eval("[" + gmapfp_readCookie('panier_gmapfp') + "]") : new Array();
	if (panier_gmapfp) {
		jQuery.each(panier_gmapfp, function(index, gmapfp_id) {
			disable_gmapfp_panier(gmapfp_id);
		});
	}
	update_nbre_voyage();
}

function toggle_panier_gmapfp(el) {
	gmapfp_id = parseInt(el.getAttribute('data-gmapfp_id'));
	gmapfp_add = el.getAttribute('data-gmapfp_add');
	if (gmapfp_add == '1') {
		panier_gmapfp.push(gmapfp_id);
		disable_gmapfp_panier(gmapfp_id);
	} else {
		panier_gmapfp.splice(jQuery.inArray(gmapfp_id, panier_gmapfp), 1);
		enable_gmapfp_panier(gmapfp_id);
	}
	gmapfp_createCookie('panier_gmapfp',panier_gmapfp,7);
	update_nbre_voyage();
}

function update_nbre_voyage() {
	if (panier_gmapfp.length < 2) {
		message = panier_gmapfp.length + Joomla.JText._("PLG_GMAPFP_CARNETVOYAGE_PRESTATION");
	} else {
		message = panier_gmapfp.length + Joomla.JText._("PLG_GMAPFP_CARNETVOYAGE_PRESTATIONS");
	}
	if (typeof Itemid_carnet_voyage== 'undefined') {
		Itemid_carnet_voyage = "";
	}
	ids = panier_gmapfp.join(',');
	jQuery(".gmapfp_nombre_voyage").html('<a href="/index.php?option=com_gmapfp&view=gmapfp&map_ids=' + ids + Itemid_carnet_voyage + '">' + message + '</a>');
	
	if (panier_gmapfp.length == 0) {
		jQuery(".print_gmapfp_carnet").hide();
	} else {
		jQuery(".print_gmapfp_carnet").show();
	}
}

function enable_gmapfp_panier(gmapfp_id) {
	jQuery("a.panier_gmapfp[data-gmapfp_id=" + gmapfp_id + "]").attr('data-gmapfp_add', '1');
	jQuery("a.panier_gmapfp[data-gmapfp_id=" + gmapfp_id + "]").html(Joomla.JText._("PLG_GMAPFP_CARNETVOYAGE_ADD"));
	jQuery("a.icon_panier_gmapfp[data-gmapfp_id=" + gmapfp_id + "]").attr('data-gmapfp_add', '1');
	jQuery("a.icon_panier_gmapfp[data-gmapfp_id=" + gmapfp_id + "]").attr('title', Joomla.JText._("PLG_GMAPFP_CARNETVOYAGE_ICON_ADD"));
	jQuery("a.icon_panier_gmapfp[data-gmapfp_id=" + gmapfp_id + "] img.rem_panier").addClass('hidden');
	jQuery("a.icon_panier_gmapfp[data-gmapfp_id=" + gmapfp_id + "] img.add_panier").removeClass('hidden');
}

function disable_gmapfp_panier(gmapfp_id) {
	jQuery("a.panier_gmapfp[data-gmapfp_id=" + gmapfp_id + "]").attr('data-gmapfp_add', '0');
	jQuery("a.panier_gmapfp[data-gmapfp_id=" + gmapfp_id + "]").html(Joomla.JText._("PLG_GMAPFP_CARNETVOYAGE_REMOVE"));
	jQuery("a.icon_panier_gmapfp[data-gmapfp_id=" + gmapfp_id + "]").attr('data-gmapfp_add', '0');
	jQuery("a.icon_panier_gmapfp[data-gmapfp_id=" + gmapfp_id + "]").attr('title', Joomla.JText._("PLG_GMAPFP_CARNETVOYAGE_ICON_REMOVE"));
	jQuery("a.icon_panier_gmapfp[data-gmapfp_id=" + gmapfp_id + "] img.rem_panier").removeClass('hidden');
	jQuery("a.icon_panier_gmapfp[data-gmapfp_id=" + gmapfp_id + "] img.add_panier").addClass('hidden');
}

function Print_GMapFP_carnetvoyage() {
	url = "/index.php?option=com_gmapfp&view=gmapfp&layout=print_carnet_voyage&map_ids="+panier_gmapfp.join(',')+"&tmpl=component&flag=1";
	var printFrame = jQuery("<iframe id=\"gmapfp_carnetvoyage\">");
	printFrame.attr("style", "width:100%;");
	printFrame.attr("src", url);
	printFrame.appendTo("body");
	jQuery("#gmapfp_prepa_impression").show();
}