<?php
    /*
    * Module Carnet de Voyage GMapFP for Component Google Map for Joomla! 3.x
    * Version J3.3Pro
    * Creation date: Juin 2018
    * Author: Fabrice4821 - www.gmapfp.org
    * Author email: webmaster@gmapfp.org
    * License GNU/GPL
    */

defined('_JEXEC') or die;

class PlgGMapFPCarnetVoyage extends JPlugin
{
	protected $autoloadLanguage = true;

	public function onGMapFPAfterTitle($context, &$row, &$params, $page=0)
	{
		$parts = explode(".", $context);

		if ($parts[0] != 'com_gmapfp' or ($parts[0] == 'com_gmapfp' and $params->get('gmapfp_position_panier', 0) != 1))
		{
			return false;
		}

		$doc = JFactory::getDocument();

		$gmapfpparam = JComponentHelper::getParams('com_gmapfp');
		
		$doc->addStyleSheet(JURI::base(). 'plugins/gmapfp/carnetvoyage/carnetvoyage.css');
        $doc->addScript(JURI::base(). 'plugins/gmapfp/carnetvoyage/carnetvoyage.js');

		JText::script('PLG_GMAPFP_CARNETVOYAGE_REMOVE');
		JText::script('PLG_GMAPFP_CARNETVOYAGE_ADD');

		$html="";
		$html.= '<a class="panier_gmapfp btn" data-gmapfp_id="'.$row->id.'" data-gmapfp_add="1">'.JText::_("PLG_GMAPFP_CARNETVOYAGE_ADD").'</a>';
		$html.= '<div class="clearfix"></div>';
		return $html;
	}
	
	public function onGMapFPAfterIcon($context, &$row, &$params, $page=0)
	{
		$parts = explode(".", $context);

		if ($parts[0] != 'com_gmapfp' or ($parts[0] == 'com_gmapfp' and $params->get('gmapfp_position_panier', 0) != 0))
		{
			return false;
		}
		
		$doc = JFactory::getDocument();

		$gmapfpparam = JComponentHelper::getParams('com_gmapfp');
		/*$affichage = $gmapfpparam->get('gmapfp_itemrating_show', 3);
		if (($parts[1] == 'article' and ($affichage == 0 or $affichage == 1)) or ($parts[1] == 'liste' and ($affichage == 0 or $affichage == 2)))
		{
			return false;
		}*/
		
		$doc->addStyleSheet(JURI::base(). 'plugins/gmapfp/carnetvoyage/carnetvoyage.css');
        $doc->addScript(JURI::base(). 'plugins/gmapfp/carnetvoyage/carnetvoyage.js');

		JText::script('PLG_GMAPFP_CARNETVOYAGE_ICON_REMOVE');
		JText::script('PLG_GMAPFP_CARNETVOYAGE_ICON_ADD');

		$base_icon = 'media/com_gmapfp/images/icons/'.$params->get('gmapfp_icon_folder').'/';
		$add_panier=JURI::base().$base_icon.'add_panier.png';
		$rem_panier=JURI::base().$base_icon.'rem_panier.png';

		$html="";
		$html.= '<a class="icon_panier_gmapfp" data-gmapfp_id="'.$row->id.'" data-gmapfp_add="1" title="'.JText::_("PLG_GMAPFP_CARNETVOYAGE_ICON_ADD").'"><img alt="'.JText::_("PLG_GMAPFP_CARNETVOYAGE_ICON_ADD").'" class="add_panier" src='.$add_panier.' /><img alt="'.JText::_("PLG_GMAPFP_CARNETVOYAGE_ICON_REMOVE").'" class="rem_panier hidden" src='.$rem_panier.' /></a>&nbsp;&nbsp;&nbsp;';

		return $html;
	}
}
